# outdated not in use any more
import os
import pathlib

from setuptools import setup

_DIR = pathlib.Path(os.path.dirname(__file__))
readme = (_DIR / "README.md").read_text()

data_paths = [
    str(_DIR / data_path)
    for data_path in [
        "filehooks/config.ini",
        "filehooks/schemas/*",
        "filehooks/templates/*",
    ]
]

setup(
    name="filehooks",
    version="0.2.0",
    packages=["filehooks"],
    description="Filehooks for CodeAbility SharingPlatform",
    long_description=readme,
    long_description_content_type="text/markdown",
    install_requires=[
        "elasticsearch",
        "ruamel.yaml",
        "jsonschema",
        "python-gitlab",
        "Jinja2",
    ],
    package_data={"": data_paths},
    include_package_data=True,
    python_requires=">=3.7",
)
